
#include <cstdio>
#include <cstdlib>
#include <string>
#include <iostream>

#define REP(i, cnt) for (int i = 0; i < (cnt); i++)

#define N 100

using namespace std;
typedef long long int64;

int mat[N][N];
	int front[N];
	int side[N];
	int curFront[N];
	int curSide[N];
	int size;
	int count;

int getMaxFrontIndex(int limit) {
	int max = -1;
	int maxIndex = 0;
	for (int i=0; i<size; i++) {
		if (front[i] >= limit) {
			if (front[i] - curFront[i] > max) {
				max = front[i] - curFront[i];
				maxIndex = i;
			}
		}
	}
	//cout << "get front index returns " << maxIndex << endl;
	return maxIndex;
}

int getMaxSideIndex(int limit) {
	//cout << "limit " << limit << endl;  
	int max = -1;
	int maxIndex = 0;
	for (int i=0; i<size; i++) {
		if (side[i] >= limit) {		
		 	if (side[i] - curSide[i] > max) {
				max = side[i] - curSide[i];
				maxIndex = i;
			}
		}
	}
	//cout << "return " << side[maxIndex] << endl;  
	//cout << "get side index returns " << maxIndex << endl;
	return maxIndex;
}

int main() {
	

	for (int i = 0; i < N; i++) {
	for (int j = 1; j < N; j++) {
		mat[i][j] = 0;
	}
	}
	
	/*REP(i, N) printf("%d ", dyn[0][i]);
	printf("\n");
	REP(i, N) printf("%d ", dyn[1][i]);
	printf("\n");
	
	return 0;*/
	
	scanf("%d", &count); {
	
		//cout << "count " << count << endl;
	
		REP(i, count) {
			
			scanf("%d", &size);
			
			//cout << "size " << size << endl;
			
			for (int e = 0; e < N; e++) {
				for (int j = 1; j < N; j++) {
					mat[e][j] = 0;
				}
			}
			
			for (int j=0; j<size; j++) {
				scanf("%d", &front[j]);
				curFront[j] = 0; 
			}
			
			for (int j=0; j<size; j++) {
				scanf("%d", &side[j]);
				curSide[j] = 0;
			}
			
			int max = 0;
			int min = 0;
			
			int frontIndex = 0;
			int sideIndex = 0;
			
			while (1) {
				frontIndex = getMaxFrontIndex(0);
				if (front[frontIndex] - curFront[frontIndex] == 0) {
					sideIndex = getMaxSideIndex(0);
					if (side[sideIndex] - curSide[sideIndex] == 0) {
						break;
					}
					else {
						frontIndex = getMaxFrontIndex(side[sideIndex]);
					}
				}
				else {				
					sideIndex = getMaxSideIndex(front[frontIndex]);
				}
				
				//for (int u=0; u<size; u++) cout << curFront[u] << "/" << front[u] << " ";
				//cout << endl;
				//for (int u=0; u<size; u++) cout << curSide[u] << "/" << side[u] << " ";
				//cout << endl;
				
				//cout << front[frontIndex] << " " << curFront[frontIndex] << " " << side[sideIndex] << " " << curSide[sideIndex] << endl;
				
				if (front[frontIndex] - curFront[frontIndex] <= 0 && side[sideIndex] - curSide[sideIndex] <= 0) {
					break;
				}
				
				if (front[frontIndex] - curFront[frontIndex] > side[sideIndex] - curSide[sideIndex]) {
					if (curSide[sideIndex] < front[frontIndex]) curSide[sideIndex] = front[frontIndex];
					if (curFront[frontIndex] < front[frontIndex]) curFront[frontIndex] = front[frontIndex];
					min += front[frontIndex];
					//cout << "adding " << front[frontIndex] << " on " << frontIndex << ":" << sideIndex << endl;
				}
				else {
					if (curSide[sideIndex] < side[sideIndex]) curSide[sideIndex] = side[sideIndex];
					if (curFront[frontIndex] < side[sideIndex]) curFront[frontIndex] = side[sideIndex];
					min += side[sideIndex];
					//cout << "adding " << side[sideIndex] << " on " << frontIndex << ":" << sideIndex << endl;
				}								
			}
			
			for (int j=0; j<size; j++) {
				for (int e=0; e<size; e++) {					
					max += front[j] < side[e] ? front[j] : side[e];
				}
			}
			
			printf("Minimalni budova obsahuje %d kostek, maximalni %d kostek.\n", min, max);
			
			
		}
	}
	
	
	return 0;
}



